Loading...
Searching...
No Matches
icu::CurrencyPluralInfo Class Reference

This class represents the information needed by DecimalFormat to format currency plural, such as "3.00 US dollars" or "1.00 US dollar". More...

`#include <currpinf.h>`

Inheritance diagram for icu::CurrencyPluralInfo:

## Public Member Functions

| CurrencyPluralInfo (UErrorCode &status)
| Create a CurrencyPluralInfo object for the default locale.
| CurrencyPluralInfo (const Locale &locale, UErrorCode &status)
| Create a CurrencyPluralInfo object for the given locale.
| CurrencyPluralInfo (const CurrencyPluralInfo &info)
| Copy constructor.
CurrencyPluralInfo & | operator= (const CurrencyPluralInfo &info)
| Assignment operator.
virtual | ~CurrencyPluralInfo ()
| Destructor.
bool | operator== (const CurrencyPluralInfo &info) const
| Equal operator.
bool | operator!= (const CurrencyPluralInfo &info) const
| Not equal operator.
CurrencyPluralInfo * | clone () const
| Clone.
const PluralRules * | getPluralRules () const
| Gets plural rules of this locale, used for currency plural format.
UnicodeString & | getCurrencyPluralPattern (const UnicodeString &pluralCount, UnicodeString &result) const
| Given a plural count, gets currency plural pattern of this locale, used for currency plural format.
const Locale & | getLocale () const
| Get locale.
void | setPluralRules (const UnicodeString &ruleDescription, UErrorCode &status)
| Set plural rules.
void | setCurrencyPluralPattern (const UnicodeString &pluralCount, const UnicodeString &pattern, UErrorCode &status)
| Set currency plural pattern.
void | setLocale (const Locale &loc, UErrorCode &status)
| Set locale.
virtual UClassID | getDynamicClassID () const override
| ICU "poor man's RTTI", returns a UClassID for the actual class.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.

## Static Public Member Functions

static UClassID | getStaticClassID ()
| ICU "poor man's RTTI", returns a UClassID for this class.

## Friends

class | DecimalFormat
class | DecimalFormatImpl

## Detailed Description

This class represents the information needed by DecimalFormat to format currency plural, such as "3.00 US dollars" or "1.00 US dollar".

DecimalFormat creates for itself an instance of CurrencyPluralInfo from its locale data.
If you need to change any of these symbols, you can get the CurrencyPluralInfo object from your DecimalFormat and modify it.

Following are the information needed for currency plural format and parse: locale information, plural rule of the locale, currency plural pattern of the locale.

Stable
  ICU 4.2

Definition at line 48 of file currpinf.h.

## Constructor & Destructor Documentation

## CurrencyPluralInfo() [1/3]

icu::CurrencyPluralInfo::CurrencyPluralInfo | ( | UErrorCode & | status | ) |

Create a CurrencyPluralInfo object for the default locale.

Parameters

  status | output param set to success/failure code on exit

Stable
  ICU 4.2

Referenced by clone(), CurrencyPluralInfo(), operator!=(), operator=(), and operator==().

## CurrencyPluralInfo() [2/3]

icu::CurrencyPluralInfo::CurrencyPluralInfo | ( | const Locale & | locale,
|  | UErrorCode & | status )

Create a CurrencyPluralInfo object for the given locale.

Parameters

  locale | the locale
  status | output param set to success/failure code on exit

Stable
  ICU 4.2

## CurrencyPluralInfo() [3/3]

icu::CurrencyPluralInfo::CurrencyPluralInfo | ( | const CurrencyPluralInfo & | info | ) |

Copy constructor.

Stable
  ICU 4.2

References CurrencyPluralInfo().

## ~CurrencyPluralInfo()

virtual icu::CurrencyPluralInfo::~CurrencyPluralInfo | ( |  | ) |

virtual

Destructor.

Stable
  ICU 4.2

## Member Function Documentation

## clone()

CurrencyPluralInfo * icu::CurrencyPluralInfo::clone | ( |  | ) | const

Clone.

Stable
  ICU 4.2

References CurrencyPluralInfo().

## getCurrencyPluralPattern()

UnicodeString & icu::CurrencyPluralInfo::getCurrencyPluralPattern | ( | const UnicodeString & | pluralCount,
|  | UnicodeString & | result ) const

Given a plural count, gets currency plural pattern of this locale, used for currency plural format.

Parameters

  pluralCount | currency plural count
  result | output param to receive the pattern

Returns
  a currency plural pattern based on plural count

Stable
  ICU 4.2

## getDynamicClassID()

virtual UClassID icu::CurrencyPluralInfo::getDynamicClassID | ( |  | ) | const

override virtual

ICU "poor man's RTTI", returns a UClassID for the actual class.

Stable
  ICU 4.2

Reimplemented from icu::UObject.

## getLocale()

const Locale & icu::CurrencyPluralInfo::getLocale | ( |  | ) | const

Get locale.

Returns
  locale

Stable
  ICU 4.2

## getPluralRules()

const PluralRules * icu::CurrencyPluralInfo::getPluralRules | ( |  | ) | const

Gets plural rules of this locale, used for currency plural format.

Returns
  plural rule

Stable
  ICU 4.2

## getStaticClassID()

UClassID icu::CurrencyPluralInfo::getStaticClassID | ( |  | ) |

static

ICU "poor man's RTTI", returns a UClassID for this class.

Stable
  ICU 4.2

## operator!=()

bool icu::CurrencyPluralInfo::operator!= | ( | const CurrencyPluralInfo & | info | ) | const

inline

Not equal operator.

Stable
  ICU 4.2

Definition at line 263 of file currpinf.h.

References CurrencyPluralInfo(), operator!=(), and operator==().

Referenced by operator!=().

## operator=()

CurrencyPluralInfo & icu::CurrencyPluralInfo::operator= | ( | const CurrencyPluralInfo & | info | ) |

Assignment operator.

Stable
  ICU 4.2

References CurrencyPluralInfo().

## operator==()

bool icu::CurrencyPluralInfo::operator== | ( | const CurrencyPluralInfo & | info | ) | const

Equal operator.

Stable
  ICU 4.2

References CurrencyPluralInfo().

Referenced by operator!=().

## setCurrencyPluralPattern()

void icu::CurrencyPluralInfo::setCurrencyPluralPattern | ( | const UnicodeString & | pluralCount,
|  | const UnicodeString & | pattern,
|  | UErrorCode & | status )

Set currency plural pattern.

The currency plural pattern is set when CurrencyPluralInfo instance is created. You can call this method to reset currency plural pattern only if you want to modify the default currency plural pattern of the locale.

Parameters

  pluralCount | the plural count for which the currency pattern will be overridden.
  pattern | the new currency plural pattern
  status | output param set to success/failure code on exit

Stable
  ICU 4.2

## setLocale()

void icu::CurrencyPluralInfo::setLocale | ( | const Locale & | loc,
|  | UErrorCode & | status )

Set locale.

Parameters

  loc | the new locale to set
  status | output param set to success/failure code on exit

Stable
  ICU 4.2

## setPluralRules()

void icu::CurrencyPluralInfo::setPluralRules | ( | const UnicodeString & | ruleDescription,
|  | UErrorCode & | status )

Set plural rules.

The plural rule is set when CurrencyPluralInfo instance is created. You can call this method to reset plural rules only if you want to modify the default plural rule of the locale.

Parameters

  ruleDescription | new plural rule description
  status | output param set to success/failure code on exit

Stable
  ICU 4.2

## Friends And Related Symbol Documentation

## DecimalFormat

friend class DecimalFormat

friend

Definition at line 197 of file currpinf.h.

## DecimalFormatImpl

friend class DecimalFormatImpl

friend

Definition at line 198 of file currpinf.h.

The documentation for this class was generated from the following file:

- i18n/unicode/currpinf.h